
Figure - Bug #117736
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.settings（24）
2023-05-04 10:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Every time Fixed Version: 2023-05-04

Test Type: Monkey Test Root cause: 视图销毁后更新 UI 。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.settings (pid 2324)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void android.view.View.setVisibility(int)' on a null object

reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void android.view.View.setVisibility(int)' on a null object reference

//     at

com.android.permissioncontroller.permission.ui.handheld.PermissionsFrameFragment.setProgressBarVisible(PermissionsFrameFragment.java:

139)

//     at

com.android.permissioncontroller.permission.ui.handheld.dashboard.PermissionUsageV2Fragment.lambda$addUIContent$2(PermissionUsag

eV2Fragment.java:512)

//     at

com.android.permissioncontroller.permission.ui.handheld.dashboard.PermissionUsageV2Fragment.$r8$lambda$vO-2c0w46MftL5AAx617vks

6NrY(Unknown Source:0)

//     at

com.android.permissioncontroller.permission.ui.handheld.dashboard.PermissionUsageV2Fragment$$ExternalSyntheticLambda1.run(Unknow

n Source:8)

//     at com.android.permissioncontroller.permission.model.legacy.PermissionApps$AppDataLoader.onPostExecute(PermissionApps.java:562)

//     at com.android.permissioncontroller.permission.model.legacy.PermissionApps$AppDataLoader.onPostExecute(PermissionApps.java:540)

//     at android.os.AsyncTask.finish(AsyncTask.java:771)

//     at android.os.AsyncTask.access$900(AsyncTask.java:199)

//     at android.os.AsyncTask$InternalHandler.handleMessage(AsyncTask.java:788)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)
//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-04 11:35 - CD TEST-方永红

- Severity changed from Normal to Critical

#2 - 2023-05-04 17:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197407 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointerException in PermissionsFrameFragment.TC-RID: 1201-0201813IssueID: TS-R-BUG-117736Change-Id:

I5f46edd4c52a379561d4992caee4d8af4fda6268

#3 - 2023-05-04 17:39 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-04

- Root cause set to 视图销毁后更新 UI 。

■ Current conclusion

已处理，代码已入库。

■ My analysis

视图销毁后更新 UI ，已做判空处理。

■ Next action

测试验证。

#4 - 2023-05-08 17:23 - CD TEST-方永红

5.8

0095（带开机动画版本）未复现

#5 - 2023-05-09 10:35 - CD TEST-方永红
5.9

0507DB未复现，继续跟踪一个版本

#6 - 2023-05-10 11:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.10

0098未复现

先关闭

#7 - 2023-05-10 11:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190067_000230_0504021636.tar.gz 7.52 MB 2023-05-04 CD TEST-方永红

error.txt 355 KB 2023-05-04 CD TEST-方永红
